Bug 675798 - Review Request: liblzf - Small data compression library
Review Request: liblzf - Small data compression library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 665853 680230
  Show dependency treegraph
 
Reported: 2011-02-07 14:27 EST by Steve Traylen
Modified: 2011-03-13 14:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: liblzf-3.6-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-02 21:57:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2011-02-07 14:27:28 EST
Spec URL: http://cern.ch/straylen/rpms/liblzf/liblzf.spec
SRPM URL: http://cern.ch/straylen/rpms/liblzf/liblzf-3.6-1.fc14.src.rpm
Description:
LibLZF is a very small data compression library. It consists
of only two .c and two .h files and is very easy to
incorporate into your own programs.  The compression algorithm
is very, very fast, yet still written in portable C.

(Note this library is bundled with php-pecl-lzf, a bug can go in once
 this make progress)
Comment 1 Steve Traylen 2011-02-14 15:03:53 EST
Spec URL: http://cern.ch/straylen/rpms/liblzf/liblzf.spec
SRPM URL: http://cern.ch/straylen/rpms/liblzf/liblzf-3.6-2.fc14.src.rpm

Adds a pkg-config file.

Steve.
Comment 2 Mattias Ellert 2011-02-24 13:02:14 EST
Fedora review liblzf 2011-02-24

+ rpmlint output:

liblzf.x86_64: W: no-manual-page-for-binary unlzf
liblzf.x86_64: W: no-manual-page-for-binary lzf
liblzf-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ Package named according to guidelines
+ Spacfile is named after package
+ The license tag (BSD or GPLv2+) is a Fedora approved license
+ The license tag matches thr actual license statements in the sources
+ Package installs LICENSE file as %doc
+ Specfile is written in legible English
+ Sources matches upstream:

$ md5sum ../liblzf-3.6.tar.gz liblzf-3.6.tar.gz 
8d957cc292ccc8f080726887688b76a4  ../liblzf-3.6.tar.gz
8d957cc292ccc8f080726887688b76a4  liblzf-3.6.tar.gz

+ Package builds in mock (Fedora 14 x86_64)
+ BuildRequires are sane
+ no locales
+ Package invokes ldconfig appropriately
+ no bundled libraries
+ no relocation prefix
+ Package owns the directories it creates
+ no duplicate files
+ File permissions are sane and %files has %defattr
+ Specfile uses macros consistently
+ Package contains code
+ %doc is not runtime essential
+ Header files are in -devel
+ no static libraries
+ .so symlink in -devel
+ subpackage requiers main with fully qualified version
+ no libtool archoves
+ no desktop file
+ Package does not own other's directories
+ Filenames are valid utf-8

Package approved.
Comment 3 Steve Traylen 2011-02-24 13:26:18 EST
New Package SCM Request
=======================
Package Name: liblzf
Short Description: A very small data compression library
Owners: stevetraylen
Branches: f14 f15 el4 el5 el6
InitialCC:
Comment 4 Jason Tibbitts 2011-02-24 22:13:21 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-02-25 02:45:45 EST
liblzf-3.6-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/liblzf-3.6-2.el5
Comment 6 Fedora Update System 2011-02-25 02:45:53 EST
liblzf-3.6-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/liblzf-3.6-2.fc15
Comment 7 Fedora Update System 2011-02-25 02:46:00 EST
liblzf-3.6-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/liblzf-3.6-2.el4
Comment 8 Fedora Update System 2011-02-25 02:46:08 EST
liblzf-3.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/liblzf-3.6-2.el6
Comment 9 Fedora Update System 2011-02-25 02:46:15 EST
liblzf-3.6-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/liblzf-3.6-2.fc14
Comment 10 Fedora Update System 2011-02-25 18:18:15 EST
liblzf-3.6-2.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liblzf'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/liblzf-3.6-2.fc15
Comment 11 Fedora Update System 2011-03-02 21:57:07 EST
liblzf-3.6-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-03-05 17:57:35 EST
liblzf-3.6-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-03-13 14:52:04 EDT
liblzf-3.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-03-13 14:52:28 EDT
liblzf-3.6-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-03-13 14:52:40 EDT
liblzf-3.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.